=== common/CMakeLists.txt ===
add_subdirectory(auxdb)
