=== libs/CMakeLists.txt ===
add_subdirectory(qtdlib)
