## lomiri-teleports-app 1.20

=== debian/changelog ===
lomiri-teleports-app (1.20-5) unstable; urgency=medium

  * debian/patches:
    + Add 0014_fix-bindtextdomain-when-not-a-click.patch. Don't set a custom
      .mo file path when not a click package.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2025 18:47:16 +0100

lomiri-teleports-app (1.20-4) unstable; urgency=medium

  [ Robert Tari ]
  * debian/control:
    + Add missing runtime dependency: qml-module-qt-labs-platform.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2025 04:17:19 +0100

lomiri-teleports-app (1.20-3) unstable; urgency=medium

  [ Cosima Neidahl ]
  * debian/*:
    + Switch to td1.8.11. (Closes: #1093771).

  [ Mike Gabriel ]
  * debian/control:
    + Assure correct libtd1.8.11(-dev) version in Build-Depends:
      libtd1.8.11-dev (>= 1.8.11~git20230202.3179d35+dfsg-2~).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Jan 2025 21:34:49 +0100

lomiri-teleports-app (1.20-2) unstable; urgency=medium

  * debian/source/lintian-overrides:
    + Add file. Ignore long lines in app/qml/components/CountryCodes.js.
  * debian/patches:
    + Cherry-pick patch 0001 - 0013 (i.e. partially update patches 0001 - 0004)
      from TELEports upstream MR introducing DEB builds of TELEports.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2025 13:45:43 +0100

lomiri-teleports-app (1.20-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1089005).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Dec 2024 06:18:49 +0100
