=== debian/control ===
Source: lomiri-teleports-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gperf,
               intltool,
               liblomiri-thumbnailer-qt-dev,
               libquazip1-qt5-dev,
               librlottie-dev,
               libssl-dev,
               libtd1.8.11-dev (>= 1.8.11~git20230202.3179d35+dfsg-2~),
               pkgconf,
# qml-module-rlottie has the CMake module, prolly needs to be split up more?
               qml-module-rlottie,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/teleports
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-teleports-app/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-teleports-app.git

Package: lomiri-teleports-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-controls2-suru,
         qml-module-u1db,
         qml-module-lomiri-components,
         qml-module-lomiri-components-extras,
         qml-module-lomiri-layouts,
         qml-module-lomiri-content,
         qml-module-lomiri-thumbnailer,
         qml-module-lomiri-pushnotifications,
         qml-module-quickflux,
         qml-module-rlottie,
         qml-module-qt-labs-platform,
Description: Telegram Chat Client App for Lomiri Operating Environment
 This app is a much liked app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's TELEports App.
