## lomiri-teleports-app 1.21

=== debian/changelog ===
lomiri-teleports-app (1.21-2) unstable; urgency=medium

  * debian/patches:
    + Add patches 0015_CMakeLists.txt-Support-building-with-CMake-4.patch
      and 0016_libs-qtdlib-CMakeLists.txt-Support-building-with-CMa.patch.
      Support building with CMake 4. (Closes: #1113247).
  * debian/control:
    + Add to D: field (lomiri-teleports-app): qml-module-qtmultimedia and
      qml-module-qtsysteminfo. (Closes: #1115949).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 21:26:41 +0200

lomiri-teleports-app (1.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase patches 0001, 0004, 0006 and 0011.
  * debian/control:
    + Add to D: field: qml-module-lomiri-connectivity and qml-module-qtcontacts.
      (Closes: #1114019).
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 00:10:00 +0200
