=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                qtmultimedia5-dev,
                qtpositioning5-dev,
                qtquickcontrols2-5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/teleports
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-teleports-app/
@@ -30,16 +30,20 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         qml-module-qtmultimedia,
          qml-module-qtquick2,
          qml-module-qtquick-controls2,
          qml-module-qtquick-controls2-suru,
+         qml-module-qtsysteminfo,
          qml-module-u1db,
          qml-module-lomiri-components,
          qml-module-lomiri-components-extras,
+         qml-module-lomiri-connectivity,
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
          qml-module-lomiri-thumbnailer,
          qml-module-lomiri-pushnotifications,
+         qml-module-qtcontacts,
          qml-module-quickflux,
          qml-module-rlottie,
          qml-module-qt-labs-platform,
