=== debian/watch ===
version=4
opts="searchmode=plain, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/apps/teleports/tags?sort=updated_desc -/archive/v?\d[\d.]+/teleports-@ANY_VERSION@@ARCHIVE_EXT@
